org.apache.ivy.plugins.repository

## Class RepositoryCopyProgressListener

- java.lang.Object
- - org.apache.ivy.plugins.repository.RepositoryCopyProgressListener

All Implemented Interfaces:
  CopyProgressListener

    public class RepositoryCopyProgressListener
    extends java.lang.Object
    implements CopyProgressListener

### Constructor Summary

Constructors
Constructor and Description
`RepositoryCopyProgressListener(AbstractRepository repository)`

### Method Summary

Methods
`void` `end(CopyProgressEvent evt)`
`java.lang.Long` `getTotalLength()`
`void` `progress(CopyProgressEvent evt)`
`void` `setTotalLength(java.lang.Long totalLength)`
`void` `start(CopyProgressEvent evt)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### RepositoryCopyProgressListener

    public RepositoryCopyProgressListener(AbstractRepository repository)

### Method Detail

#### start

    public void start(CopyProgressEvent evt)

Specified by:
  `start` in interface `CopyProgressListener`

#### progress

    public void progress(CopyProgressEvent evt)

Specified by:
  `progress` in interface `CopyProgressListener`

#### end

    public void end(CopyProgressEvent evt)

Specified by:
  `end` in interface `CopyProgressListener`

#### getTotalLength

    public java.lang.Long getTotalLength()

#### setTotalLength

    public void setTotalLength(java.lang.Long totalLength)